tigase.cluster.repo

## Class ClusterRepoItem

- java.lang.Object
- - tigase.db.comp.RepositoryItemAbstract
  - - tigase.cluster.repo.ClusterRepoItem

- All Implemented Interfaces:
    RepositoryItem

      public class ClusterRepoItem
      extends RepositoryItemAbstract

  Class description
  Version:
    5.2.0, 13/03/09
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CPU_USAGE_ATTR` Field description
    `static String` | `CPU_USAGE_LABEL` Field description
    `static String` | `HOSTNAME_ATTR` Field description
    `static String` | `HOSTNAME_LABEL` Field description
    `static String` | `LAST_UPDATE_ATTR` Field description
    `static String` | `LAST_UPDATE_LABEL` Field description
    `static String` | `MEM_USAGE_ATTR` Field description
    `static String` | `MEM_USAGE_LABEL` Field description
    `static String` | `PASSWORD_ATTR` Field description
    `static String` | `PASSWORD_LABEL` Field description
    `static String` | `PASSWORD_PROP_VAL` Field description
    `static String` | `PORT_NO_ATTR` Field description
    `static String` | `PORT_NO_LABEL` Field description
    `static int` | `PORT_NO_PROP_VAL` Field description
    `static String` | `REPO_ITEM_ELEM_NAME` Field description

    - ### Fields inherited from class tigase.db.comp.RepositoryItemAbstract

      `ADMINS_ATT, ADMINS_LABEL, OWNER_ATT, OWNER_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterRepoItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCommandFields(Packet packet)` Method description
    `float` | `getCpuUsage()` Method description
    `String` | `getElemName()` Method description
    `String` | `getHostname()` Method description
    `String` | `getKey()` Method description
    `long` | `getLastUpdate()` Method description
    `float` | `getMemUsage()` Method description
    `String` | `getPassword()` Method description
    `int` | `getPortNo()` Method description
    `void` | `initFromCommand(Packet packet)` Method description
    `void` | `initFromElement(tigase.xml.Element elem)` Method description
    `void` | `initFromPropertyString(String propString)` Method description
    `tigase.xml.Element` | `toElement()` Method description
    `String` | `toPropertyString()` Method description
    `String` | `toString()` Method description

    - ### Methods inherited from class tigase.db.comp.RepositoryItemAbstract

      `getAdmins, getOwner, isAdmin, isOwner, setAdmins, setOwner`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CPU_USAGE_ATTR

          public static final String CPU_USAGE_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### CPU_USAGE_LABEL

          public static final String CPU_USAGE_LABEL

      Field description
      See Also:
        Constant Field Values

    - #### HOSTNAME_ATTR

          public static final String HOSTNAME_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### HOSTNAME_LABEL

          public static final String HOSTNAME_LABEL

      Field description
      See Also:
        Constant Field Values

    - #### LAST_UPDATE_ATTR

          public static final String LAST_UPDATE_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### LAST_UPDATE_LABEL

          public static final String LAST_UPDATE_LABEL

      Field description
      See Also:
        Constant Field Values

    - #### MEM_USAGE_ATTR

          public static final String MEM_USAGE_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### MEM_USAGE_LABEL

          public static final String MEM_USAGE_LABEL

      Field description
      See Also:
        Constant Field Values

    - #### PASSWORD_ATTR

          public static final String PASSWORD_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### PASSWORD_LABEL

          public static final String PASSWORD_LABEL

      Field description
      See Also:
        Constant Field Values

    - #### PASSWORD_PROP_VAL

          public static final String PASSWORD_PROP_VAL

      Field description
      See Also:
        Constant Field Values

    - #### PORT_NO_ATTR

          public static final String PORT_NO_ATTR

      Field description
      See Also:
        Constant Field Values

    - #### PORT_NO_LABEL

          public static final String PORT_NO_LABEL

      Field description
      See Also:
        Constant Field Values

    - #### PORT_NO_PROP_VAL

          public static final int PORT_NO_PROP_VAL

      Field description
      See Also:
        Constant Field Values

    - #### REPO_ITEM_ELEM_NAME

          public static final String REPO_ITEM_ELEM_NAME

      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClusterRepoItem

          public ClusterRepoItem()

  - ### Method Detail

    - #### addCommandFields

          public void addCommandFields(Packet packet)

      Method description
      Specified by:
        `addCommandFields` in interface `RepositoryItem`
      Overrides:
        `addCommandFields` in class `RepositoryItemAbstract`
      Parameters:
        `packet` -

    - #### initFromCommand

          public void initFromCommand(Packet packet)

      Method description
      Specified by:
        `initFromCommand` in interface `RepositoryItem`
      Overrides:
        `initFromCommand` in class `RepositoryItemAbstract`
      Parameters:
        `packet` -

    - #### initFromElement

          public void initFromElement(tigase.xml.Element elem)

      Method description
      Specified by:
        `initFromElement` in interface `RepositoryItem`
      Overrides:
        `initFromElement` in class `RepositoryItemAbstract`
      Parameters:
        `elem` -

    - #### initFromPropertyString

          public void initFromPropertyString(String propString)

      Method description
      Parameters:
        `propString` -

    - #### toElement

          public tigase.xml.Element toElement()

      Method description
      Specified by:
        `toElement` in interface `RepositoryItem`
      Overrides:
        `toElement` in class `RepositoryItemAbstract`
      Returns:
        an XML Element with all the item initialization data.

    - #### toPropertyString

          public String toPropertyString()

      Method description
      Returns:
        a property string representing the repository item in a simplified form.

    - #### toString

          public String toString()

      Method description
      Overrides:
        `toString` in class `Object`

    - #### getCpuUsage

          public float getCpuUsage()

      Method description

    - #### getElemName

          public String getElemName()

      Method description
      Specified by:
        `getElemName` in class `RepositoryItemAbstract`

    - #### getHostname

          public String getHostname()

      Method description

    - #### getKey

          public String getKey()

      Method description
      Returns:
        an Item key.

    - #### getLastUpdate

          public long getLastUpdate()

      Method description

    - #### getMemUsage

          public float getMemUsage()

      Method description

    - #### getPassword

          public String getPassword()

      Method description

    - #### getPortNo

          public int getPortNo()

      Method description

Copyright © 2014 "Tigase, Inc.". All rights reserved.